## org.mortbay.cometd
Interface Transport

All Known Implementing Classes:
  AbstractTransport, JSONPTransport, JSONTransport

    public interface Transport

Method Summary
`void` `complete()`
`org.cometd.Message` `getMetaConnectReply()`
`boolean` `isMetaConnectDeliveryOnly()`
`void` `send(org.cometd.Message message)`
`void` `setMetaConnectReply(org.cometd.Message reply)`
`void` `setResponse(HttpServletResponse response)`

Method Detail

### setResponse

    void setResponse(HttpServletResponse response)
                     throws IOException

  Throws:
    `IOException`

### send

    void send(org.cometd.Message message)
              throws IOException

  Throws:
    `IOException`

### complete

    void complete()
                  throws IOException

  Throws:
    `IOException`

### getMetaConnectReply

    org.cometd.Message getMetaConnectReply()

### setMetaConnectReply

    void setMetaConnectReply(org.cometd.Message reply)

### isMetaConnectDeliveryOnly

    boolean isMetaConnectDeliveryOnly()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.